lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'after_do/loader/version'

Gem::Specification.new do |spec|
  spec.name = 'after_do-loader'
  spec.version = AfterDo::Loader::VERSION
  spec.authors = ['Renan Ranelli', 'Rafael Almeida']
  spec.email = ['renanranelli@gmail.com', 'rubygems@rafaelalmeida.net']
  spec.summary = 'Apply after_do methods dynamically based on a config file.'
  spec.description = 'Apply after_do methods dynamically based on a config file'
  spec.homepage = ''
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0")
  spec.executables = spec.files.grep(/^bin\//) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(/^(test|spec|features)\//)
  spec.require_paths = ['lib']

  spec.add_dependency 'after_do', '~> 0.3'
  spec.add_dependency 'recursive-open-struct'
  spec.add_dependency 'activesupport', '>= 3.0'

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'git-hooks', '~> 0.2'
  spec.add_development_dependency 'rake', '~> 10.0'

  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'pry-doc'
  spec.add_development_dependency 'method_source'
end
